./wip/netwib, Network library providing network functionality for developers

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 5.35.0, Package name: netwib-5.35.0, Maintainer: adrianp

Netwib is a network library providing:
- network functionalities:
+ address conversion
+ UDP/TCP clients/servers
+ packet encoding/decoding/displaying
+ spoofing
+ sniffing
+ etc.
- and general functionalities:
+ data conversion
+ linked list, hash
+ portable threads
+ etc.
Using all these functions, a network program can be quickly created.


Required to run:
[devel/libnet10]

Required to build:
[pkgtools/cwrappers]

Master sites:

SHA1: 88d6eefff13dff4919649912242e069e53acd007
RMD160: d970c018b995a690a7eebdb1e91ad9a6dcfb3b2c
Filesize: 611.488 KB

Version history: (Expand)


CVS history: (Expand)


   2012-10-03 20:15:31 by Aleksej Saushev | Files touched by this commit (61)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
Mark packages that don't or might probably not have staged installation.
   2009-10-11 12:44:55 by Thomas Klausner | Files touched by this commit (222)
Log message:
Remove obsolete @dirrm lines.
   2009-03-20 20:43:38 by Jörg Sonnenberger | Files touched by this commit (284)
Log message:
Convert buildlink3.mk files to new world order.
   2008-03-20 17:24:08 by Tobias Nygren | Files touched by this commit (2)
Log message:
Honour PKGMANDIR.
   2008-03-17 01:14:46 by Tobias Nygren | Files touched by this commit (9)
Log message:
Make netwib build by updating to 5.35.0.
   2007-06-08 23:41:27 by Thomas Klausner | Files touched by this commit (1)
Log message:
Switch to libnet10 buildlink3.mk.
Untested.

   2006-10-29 09:32:37 by Sergey Svishchev | Files touched by this commit (192)
Log message:
Delint:
- convert spaces to tabs (pkglint --autofix)
- set, not append to USE_LANGUAGES
   2006-04-06 09:17:58 by Jeremy C. Reed | Files touched by this commit (19)
Log message:
Change BUILDLINK_DEPENDS.foo to BUILDLINK_API_DEPENDS.foo.

Change BUILDLINK_RECOMMENDED.foo to BUILDLINK_ABI_DEPENDS.foo.

As discussed on tech-pkg.